From c50eaa9307d448670f7119db4df0a2534ec4a6c5 Mon Sep 17 00:00:00 2001
Message-Id: <c50eaa9307d448670f7119db4df0a2534ec4a6c5.1639438462.git.softworkz@hotmail.com>
In-Reply-To: <df5e5f3ca4ed1bc0aabdf99c164d9a364c07e08a.1639438462.git.softworkz@hotmail.com>
References: <subs.1636198774.git.softworkz@hotmail.com>
	<cover.1639438462.git.softworkz@hotmail.com>
	<1ef42eb01b3627bbad539abd46206f320bb39697.1639438462.git.softworkz@hotmail.com>
	<4148d77a82d4b7e229fc81ce9bc1bc06904533f1.1639438462.git.softworkz@hotmail.com>
	<2ac798924ee984010d2e85f00bc992d9aa106171.1639438462.git.softworkz@hotmail.com>
	<300ea7188b331ca5e00dd7e04c03df8aba2a99c0.1639438462.git.softworkz@hotmail.com>
	<9474726b26f0d3e8f353d07caed2fbd33cdf473a.1639438462.git.softworkz@hotmail.com>
	<f50434ac3d004ba31115ac00a3e99812954c500b.1639438462.git.softworkz@hotmail.com>
	<bfd2763bfafe1b22b69b38c5ed69ed9b0b2c893e.1639438462.git.softworkz@hotmail.com>
	<424522c96b5cdf6b03faa6bdceb1d25449463429.1639438462.git.softworkz@hotmail.com>
	<dc14ed14e3e6d1ee424b5c05105e9ff237111227.1639438462.git.softworkz@hotmail.com>
	<90caff245055005e6a4a890b3665da55aa853b31.1639438462.git.softworkz@hotmail.com>
	<fd7e97ef4908a88595f1ad4e16ebd910dda4c163.1639438462.git.softworkz@hotmail.com>
	<dbcc5a143b8f5d70baa9b8c48915e0ce8a90f0c6.1639438462.git.softworkz@hotmail.com>
	<0ebcf3ed2adb02d3ffb243a499b434c3bdd976a7.1639438462.git.softworkz@hotmail.com>
	<4b5c1c1185075fd6e5d8ef70e07fdce6f896d699.1639438462.git.softworkz@hotmail.com>
	<d706cd163a5b48c97329f216601012ba11746264.1639438462.git.softworkz@hotmail.com>
	<ead8902672d4f862062fb309a2246a8c2e04dc67.1639438462.git.softworkz@hotmail.com>
	<cbee2be137eba8fdde5229f6b7bc3ec1b7ac1b0b.1639438462.git.softworkz@hotmail.com>
	<b433b4b953021d7d7b5550c7e9e0b8c8f6b518f1.1639438462.git.softworkz@hotmail.com>
	<b5223f041fa3856405e55c550d121d68d790bc57.1639438462.git.softworkz@hotmail.com>
	<df5e5f3ca4ed1bc0aabdf99c164d9a364c07e08a.1639438462.git.softworkz@hotmail.com>
From: softworkz <softworkz@hotmail.com>
Date: Thu, 9 Dec 2021 11:47:04 +0100
Subject: [PATCH v24 21/21] doc/APIchanges: update for subtitle filtering
 changes
X-Unsent: 1
To: ffmpeg-devel@ffmpeg.org

Signed-off-by: softworkz <softworkz@hotmail.com>
---
 doc/APIchanges       | 23 +++++++++++++++++++++++
 libavcodec/version.h |  2 +-
 libavutil/version.h  |  2 +-
 3 files changed, 25 insertions(+), 2 deletions(-)

diff --git a/doc/APIchanges b/doc/APIchanges
index 17aa664ca3..1e12225b60 100644
--- a/doc/APIchanges
+++ b/doc/APIchanges
@@ -14,6 +14,29 @@ libavutil:     2021-04-27
 
 API changes, most recent first:
 
+2021-12-xx - xxxxxxxxxx - lavc 59.15.100 - avcodec.h
+  Deprecate avcodec_encode_subtitle(), use regular encode api now
+
+2021-12-xx - xxxxxxxxxx - lavc 59.15.100 - codec_desc.h
+  Add avcodec_descriptor_get_subtitle_format()
+
+2021-12-xx - xxxxxxxxxx - lavc 59.15.100 - avcodec.h
+  Deprecate avsubtitle_free()
+  Deprecate avcodec_decode_subtitle2(), use regular decode api now
+
+2021-12-xx - xxxxxxxxxx - lavu 57.12.100 - frame.h
+  Add AVMediaType field to AVFrame
+  Add Fields for carrying subtitle data to AVFrame
+  (subtitle_areas, subtitle_header, subtitle_pts, start/end time, etc.)
+  Add av_frame_get_buffer2() and deprecate av_frame_get_buffer()
+
+2021-12-xx - xxxxxxxxxx - lavu 57.12.100 - subfmt.h
+  Add struct AVSubtitleArea (replaces AVSubtitle)
+  Add av_get_subtitle_fmt_name() and av_get_subtitle_fmt()
+
+2021-12-xx - xxxxxxxxxx - lavu 57.12.100 - subfmt.h
+  Add enum AVSubtitleType (moved from lavc), add new values, deprecate existing
+
 2021-12-xx - xxxxxxxxxx - lavf 59.10.100 - avformat.h
   Add AVFormatContext io_close2 which returns an int
 
diff --git a/libavcodec/version.h b/libavcodec/version.h
index 8a0b94f5aa..db71fb1130 100644
--- a/libavcodec/version.h
+++ b/libavcodec/version.h
@@ -28,7 +28,7 @@
 #include "libavutil/version.h"
 
 #define LIBAVCODEC_VERSION_MAJOR  59
-#define LIBAVCODEC_VERSION_MINOR  14
+#define LIBAVCODEC_VERSION_MINOR  15
 #define LIBAVCODEC_VERSION_MICRO 100
 
 #define LIBAVCODEC_VERSION_INT  AV_VERSION_INT(LIBAVCODEC_VERSION_MAJOR, \
diff --git a/libavutil/version.h b/libavutil/version.h
index cc8caadf50..ed2786597d 100644
--- a/libavutil/version.h
+++ b/libavutil/version.h
@@ -79,7 +79,7 @@
  */
 
 #define LIBAVUTIL_VERSION_MAJOR  57
-#define LIBAVUTIL_VERSION_MINOR  11
+#define LIBAVUTIL_VERSION_MINOR  12
 #define LIBAVUTIL_VERSION_MICRO 100
 
 #define LIBAVUTIL_VERSION_INT   AV_VERSION_INT(LIBAVUTIL_VERSION_MAJOR, \
-- 
2.30.2.windows.1

